h1,
.h1 {
  position: relative;
  margin-bottom: 55px;
  font-family: $font-secondary;
  font-size: 64px;
  line-height: 64px;
  font-weight: 500;
  font-style: normal;
  color: $text-color-1;

  @include media-breakpoint-down(xxxl) {
    margin-bottom: 33px;
  }

  @include media-breakpoint-down(xxl) {
    margin-bottom: 10px;
    font-size: 37px;
    line-height: 48px;
  }

  @include media-breakpoint-down(xl) {
    margin-bottom: 10px;
    font-size: 30px;
    line-height: 42px;
  }

  @include media-breakpoint-down(lg) {
    font-size: 24px;
    line-height: 31px;
  }
}

h2,
.h2 {
  position: relative;
  margin-bottom: 50px;
  font-family: $font-secondary;
  font-size: 48px;
  line-height: 64px;
  font-weight: 500;
  font-style: normal;
  color: $text-color-1;

  @include media-breakpoint-only(lg) {
    font-size: 24px;
    line-height: 38px;
  }

  @include media-breakpoint-only(xl) {
    font-size: 37px;
    line-height: 43px;
  }

  @include media-breakpoint-down(lg) {
    font-size: 24px;
    line-height: 26px;
    margin-bottom: 21px;
  }
}

h3,
.h3 {
  position: relative;
  margin-bottom: 30px;
  font-family: $font-global;
  font-size: 36px;
  line-height: 54px;
  font-weight: 700;
  font-style: normal;
  color: $text-color-1;

  @include media-breakpoint-only(lg) {
    font-size: 20px;
    line-height: 24px;
  }

  @include media-breakpoint-down(lg) {
    font-size: 18px;
    line-height: 19px;
    font-weight: 700;
    margin-bottom: 10px;
  }
}

h4,
.h4 {
}

h5,
.h5 {
}

h6,
.h6 {
}

p,
.p {
  font-family: $font-global;
  font-size: 1rem;
  line-height: 26px;
  font-weight: 400;
  font-style: normal;
  color: $text-color-1;

  @include media-breakpoint-down(lg) {
    font-size: 14px;
    line-height: 21px;
    font-weight: 400;
  }
}

.fw-thin {
  font-weight: 100;
}

.fw-medium {
  font-weight: 500;
}

.fw-semibold {
  font-weight: 600;
}

.fw-black {
  font-weight: 900;
}

ul {

  li {
  }
}

ol {

  li {
  }
}

table {
}

tr {
}

th {
}

td {
}

a {
  text-decoration: underline;
  color: $text-color-1;

  &.stylized {
    font-family: $font-global;
    font-size: 24px;
    line-height: 19px;
    font-weight: 700;
    font-style: normal;
    text-transform: uppercase;
    position: relative;
    display: block;
    margin-bottom: 30px;

    @include transition();

    &:hover{
      color: $text-color-1;
      opacity: .7;
    }

    span {
      border-bottom: 2px solid $underline-color;
    }

    &.shadow--3{
      &:before{
        @include media-breakpoint-down(lg){
        right: unset;
        left: 35px;
        }
      }
    }

    @include media-breakpoint-down(lg){
      line-height: 109px;
      margin-bottom: 0;
      margin-top: 41px;
    }
  }
}

input {

  &:focus {
    outline: none;
    box-shadow: none;
  }
}

textarea {

  &:focus {
    outline: none;
    box-shadow: none;
  }
}

select {
}

button {
  padding: 0;
  border: 0;
  cursor: pointer;

  &:focus {
    outline: none;
  }
}

input[type='submit'] {
  border: 0;
  cursor: pointer;
}

img {
  max-width: 100%;
  height: auto;
}

.flex-reverse {

  @include media-breakpoint-down(lg) {
    flex-direction: column-reverse;
  }
}
